Package org.linphone.core

# Interface ConferenceParams

public interface ConferenceParams
Object defining parameters for a `Conference`.
Can be created by calling function `Core.createConferenceParams(org.linphone.core.Conference)`.

## Method Summary

Modifier and Type
Method
Description
`ConferenceParams`
`clone()`
Clone a `ConferenceParams`.
`Account`
`getAccount()`
Returns the account for the conference.
`ChatParams`
`getChatParams()`
Get the chat parameters.
`Address`
`getConferenceFactoryAddress()`
Get the conference factory address of the conference that has been set.
`String`
`getDescriptionUtf8()`
Get conference description (utf8).
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Conference.ParticipantListType`
`getParticipantListType()`
Get the participant list type.
`ProxyConfig`
`getProxyCfg()`
Deprecated.
11/01/2022 Use `getAccount()` instead.
`Conference.SecurityLevel`
`getSecurityLevel()`
Retrieve the desired security level of the conference.
`String`
`getSubject()`
Get the conference subject.
`String`
`getSubjectUtf8()`
Get the conference subject as an UTF-8 string.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isAudioEnabled()`
Check whether audio capabilities are enabled.
`boolean`
`isChatEnabled()`
Check whether chat capabilities are enabled.
`boolean`
`isGroupEnabled()`
Get the group chat status of the text capabilities of the conference associated
with the given parameters.
`boolean`
`isHidden()`
Get the value of the hidden flag.
`boolean`
`isLocalParticipantEnabled()`
Returns whether local participant has to enter the conference.
`boolean`
`isOneParticipantConferenceEnabled()`
Returns whether conference can have only one participant.
`boolean`
`isValid()`
Returns whether the given parameters are valid or not.
`boolean`
`isVideoEnabled()`
Check whether video capabilities are enabled.
`void`
`setAccount(Account account)`
Sets the account for the conference.
`void`
`setAudioEnabled(boolean enable)`
Enable audio capabilities.
`void`
`setChatEnabled(boolean enable)`
Enable chat capabilities.
`void`
`setConferenceFactoryAddress(Address address)`
Set the conference factory address of the conference.
`void`
`setDescriptionUtf8(String description)`
Set the description of the conference (utf8)
`void`
`setGroupEnabled(boolean group)`
Enables or disables group chat for the text capabilities of the conference
associated with the given parameters.
`void`
`setHidden(boolean hidden)`
Set the conference as hidden.
`void`
`setLocalParticipantEnabled(boolean enable)`
Enable local participant to enter the conference.
`void`
`setOneParticipantConferenceEnabled(boolean enable)`
Enable conference with one participant.
`void`
`setParticipantListType(Conference.ParticipantListType type)`
Set the participant list type.
`void`
`setSecurityLevel(Conference.SecurityLevel securityLevel)`
Set the desired security level of the conference.
`void`
`setSubject(String subject)`
Set the conference subject.
`void`
`setSubjectUtf8(String subject)`
Set the conference subject as an UTF8 string.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`setVideoEnabled(boolean enable)`
Enable video capabilities.
`String`
`toString()`

## Method Details

### getAccount

@Nullable Account getAccount()
Returns the account for the conference.

Returns:
  a pointer to the account or null if it is not set.

### setAccount

void setAccount(@Nullable Account account)
Sets the account for the conference.

Parameters:
  `account` - a pointer to the account.
  warning: The account can only be changed upon creation of a conference when
  calling linphone_core_create_conference_with_params

### isAudioEnabled

boolean isAudioEnabled()
Check whether audio capabilities are enabled.

Returns:
  true if the conference supports audio capabilities, false otherwise

### setAudioEnabled

void setAudioEnabled(boolean enable)
Enable audio capabilities.

Parameters:
  `enable` - If true, audio will be enabled during conference

### isChatEnabled

boolean isChatEnabled()
Check whether chat capabilities are enabled.

Returns:
  true if the conference supports chat capabilities, false otherwise

### setChatEnabled

void setChatEnabled(boolean enable)
Enable chat capabilities.

Parameters:
  `enable` - If true, chat is enabled during conference

### getChatParams

@Nullable ChatParams getChatParams()
Get the chat parameters.

Returns:
  the chat parameters if chat capabilities are on, null otherwise

### getConferenceFactoryAddress

@Nullable Address getConferenceFactoryAddress()
Get the conference factory address of the conference that has been set.

Returns:
  the factory address conference description.

### setConferenceFactoryAddress

void setConferenceFactoryAddress(@Nullable Address address)
Set the conference factory address of the conference.
By default when creating a new conference, the factory address will come from
the current proxy configuration. If null then the conference will be local else
it will be a client conference.

Parameters:
  `address` - the conference factory address.

### getDescriptionUtf8

@Nullable String getDescriptionUtf8()
Get conference description (utf8).

Returns:
  the conference description.

### setDescriptionUtf8

void setDescriptionUtf8(@Nullable String description)
Set the description of the conference (utf8)

Parameters:
  `description` - the conference description.

### isGroupEnabled

boolean isGroupEnabled()
Get the group chat status of the text capabilities of the conference associated
with the given parameters.

Returns:
  true if group chat is enabled, false if one-to-one

### setGroupEnabled

void setGroupEnabled(boolean group)
Enables or disables group chat for the text capabilities of the conference
associated with the given parameters.

Parameters:
  `group` - true to enable group chat, false to disable (resulting in
  one-to-one text capabilities of the conference)

### setHidden

void setHidden(boolean hidden)
Set the conference as hidden.
This means that the contact address will not have any conference releated
attribute such as isfocus, the conference ID and the admin status.

Parameters:
  `hidden` - Boolean that states whether the conference is hidden or not

### isHidden

boolean isHidden()
Get the value of the hidden flag.

Returns:
  whether the conference is hidden or not

### isValid

boolean isValid()
Returns whether the given parameters are valid or not.

Returns:
  true if the given parameters are valid, false otherwise

### isLocalParticipantEnabled

boolean isLocalParticipantEnabled()
Returns whether local participant has to enter the conference.

Returns:
  true if local participant is by default part of the conference, false
  otherwise

### setLocalParticipantEnabled

void setLocalParticipantEnabled(boolean enable)
Enable local participant to enter the conference.
The local participant is the one driving the local `Core`. It uses the
local sound devices. The default value is true. Setting to false is mostly
helpful when using liblinphone on a server application.

Parameters:
  `enable` - true if local participant is automatically added to the
  conference, false otherwise

### isOneParticipantConferenceEnabled

boolean isOneParticipantConferenceEnabled()
Returns whether conference can have only one participant.

Returns:
  true if the conference can have only one participant, false otherwise

### setOneParticipantConferenceEnabled

void setOneParticipantConferenceEnabled(boolean enable)
Enable conference with one participant.

Parameters:
  `enable` - true if conference can have only one participant, false otherwise

### getParticipantListType

Conference.ParticipantListType getParticipantListType()
Get the participant list type.

Returns:
  participant list type `Conference#ParticipantListType`.

### setParticipantListType

void setParticipantListType(Conference.ParticipantListType type)
Set the participant list type.

Parameters:
  `type` - Participant list type `Conference#ParticipantListType`. This
  allows to restrict the access to the conference to a selected set of
  participants

### getProxyCfg

@Deprecated @Nullable ProxyConfig getProxyCfg()
Deprecated.
11/01/2022 Use `getAccount()` instead.
Returns the proxy configuration for the conference.

Returns:
  a pointer to the proxy configuration or null if it is not set.

### getSecurityLevel

Conference.SecurityLevel getSecurityLevel()
Retrieve the desired security level of the conference.

Returns:
  The desired security level of the conference.

### setSecurityLevel

void setSecurityLevel(Conference.SecurityLevel securityLevel)
Set the desired security level of the conference.

Parameters:
  `securityLevel` - The desired security level of the conference.

### getSubject

@Nullable String getSubject()
Get the conference subject.

Returns:
  conference subject.

### setSubject

void setSubject(@Nullable String subject)
Set the conference subject.

Parameters:
  `subject` - conference subject

### getSubjectUtf8

@Nullable String getSubjectUtf8()
Get the conference subject as an UTF-8 string.

Returns:
  conference subject.

### setSubjectUtf8

void setSubjectUtf8(@Nullable String subject)
Set the conference subject as an UTF8 string.

Parameters:
  `subject` - conference subject

### isVideoEnabled

boolean isVideoEnabled()
Check whether video capabilities are enabled.

Returns:
  true if the conference supports video capabilities, false otherwise

### setVideoEnabled

void setVideoEnabled(boolean enable)
Enable video capabilities.

Parameters:
  `enable` - If true, video will be enabled during conference

### clone

@NonNull ConferenceParams clone()
Clone a `ConferenceParams`.

Returns:
  An allocated `ConferenceParams` with the same parameters than
  params

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`